## org.jvnet.maven.plugin.antrun
Class SubGraphFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.SubGraphFilter

All Implemented Interfaces:
  java.lang.Cloneable

    public class SubGraphFilter

extends GraphFilter

Computes a full subgraph rooted on the given node.

Author:
  Kohsuke Kawaguchi

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`SubGraphFilter()`

Method Summary
`DependencyGraph` `process()`
`void` `setArtifactId(java.lang.String artifactId)`
`void` `setClassifier(java.lang.String classifier)`
`void` `setGroupId(java.lang.String groupId)`
`void` `setType(java.lang.String type)`
`void` `setVersion(java.lang.String version)`

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubGraphFilter

    public SubGraphFilter()

Method Detail

### setGroupId

    public void setGroupId(java.lang.String groupId)

### setArtifactId

    public void setArtifactId(java.lang.String artifactId)

### setVersion

    public void setVersion(java.lang.String version)

### setType

    public void setType(java.lang.String type)

### setClassifier

    public void setClassifier(java.lang.String classifier)

### process

    public DependencyGraph process()

  Specified by:
    `process` in class `GraphFilter`

Copyright © 2011. All Rights Reserved.